Bug 103256 - [em] em0: watchdog timeout -- resetting (6.1-STABLE)
Summary: [em] em0: watchdog timeout -- resetting (6.1-STABLE)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.1-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2006-09-14 09:50 UTC by Imri Zvik
Modified: 2018-03-28 18:58 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Imri Zvik 2006-09-14 09:50:11 UTC
I've recently upgraded my 6.0-STABLE machine to 6.1-STABLE, and since the upgrade i'm getting "em0: watchdog timeout -- resetting" messages every once in a while (sometimes twice a day, sometimes every couple of days). This causes the machine to be unstable, network-wise (connections being dropped, etc.)

Sep 14 06:35:41 wintergreen kernel: em0: watchdog timeout -- resetting
Sep 14 06:35:41 wintergreen kernel: em0: link state changed to DOWN
Sep 14 06:35:42 wintergreen kernel: em0: link state changed to UP


i've found this discussion on freebsd-stable (http://www.mail-archive.com/freebsd-stable@freebsd.org/msg81865.html) indicating that i am not the only one suffering from this issue.

the output of pciconf -l -v:
hostb0@pci0:0:0:        class=0x060000 card=0x00000000 chip=0x00141166 rev=0x33 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CNB20-HE Host Bridge'
    class    = bridge
    subclass = HOST-PCI
hostb1@pci0:0:1:        class=0x060000 card=0x00000000 chip=0x00141166 rev=0x00 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CNB20-HE Host Bridge'
    class    = bridge
    subclass = HOST-PCI
hostb2@pci0:0:2:        class=0x060000 card=0x00000000 chip=0x00141166 rev=0x00 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CNB20-HE Host Bridge'
    class    = bridge
    subclass = HOST-PCI
none0@pci0:6:0: class=0x030000 card=0x02401014 chip=0x47521002 rev=0x27 hdr=0x00
    vendor   = 'ATI Technologies Inc'
    device   = 'Rage XL PCI'
    class    = display
    subclass = VGA
hostb3@pci0:15:0:       class=0x060000 card=0x02011166 chip=0x02011166 rev=0x93 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CSB5 PCI to ISA Bridge'
    class    = bridge
    subclass = HOST-PCI
atapci0@pci0:15:1:      class=0x010182 card=0x02121166 chip=0x02121166 rev=0x93 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CSB5 PCI EIDE Controller'
    class    = mass storage
    subclass = ATA
ohci0@pci0:15:2:        class=0x0c0310 card=0x02201166 chip=0x02201166 rev=0x05 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'OSB4 OpenHCI Compliant USB Controller'
    class    = serial bus
    subclass = USB
isab0@pci0:15:3:        class=0x060100 card=0x02301166 chip=0x02251166 rev=0x00 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CSB5 PCI Bridge'
    class    = bridge
    subclass = PCI-ISA
hostb4@pci0:16:0:       class=0x060000 card=0x00000000 chip=0x01011166 rev=0x05 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CIOB-X2'
    class    = bridge
    subclass = HOST-PCI
hostb5@pci0:16:2:       class=0x060000 card=0x00000000 chip=0x01011166 rev=0x05 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CIOB-X2'
    class    = bridge
    subclass = HOST-PCI
hostb6@pci0:17:0:       class=0x060000 card=0x00000000 chip=0x01011166 rev=0x05 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CIOB-X2'
    class    = bridge
    subclass = HOST-PCI
hostb7@pci0:17:2:       class=0x060000 card=0x00000000 chip=0x01011166 rev=0x05 hdr=0x00
    vendor   = 'ServerWorks (Was: Reliance Computer Corp)'
    device   = 'CIOB-X2'
    class    = bridge
    subclass = HOST-PCI
em0@pci6:8:0:   class=0x020000 card=0x027c1014 chip=0x10108086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82546EB Dual Port Gigabit Ethernet Controller (Copper)'
    class    = network
    subclass = ethernet
em1@pci6:8:1:   class=0x020000 card=0x027c1014 chip=0x10108086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82546EB Dual Port Gigabit Ethernet Controller (Copper)'
    class    = network
    subclass = ethernet
ips0@pci8:2:0:  class=0x010400 card=0x028c1014 chip=0x02509005 rev=0x02 hdr=0x00
    vendor   = 'Adaptec Inc'
    device   = 'ServeRAID Controller'
    class    = mass storage
    subclass = RAID



output of dmesg:
Copyright (c) 1992-2006 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD 6.1-STABLE #1: Wed Aug 30 09:54:35 IDT 2006
    root@wintergreen.inter.net.il:/usr/obj/usr/src/sys/IGLD
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Xeon(TM) CPU 2.80GHz (2793.90-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0xf29  Stepping = 9
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x4400<CNTX-ID,<b14>>
real memory  = 1073655808 (1023 MB)
avail memory = 1041412096 (993 MB)
ACPI APIC Table: <IBM    SERONYXP>
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  6
MADT: Forcing active-low polarity and level trigger for SCI
ioapic2 <Version 1.1> irqs 32-47 on motherboard
ioapic1 <Version 1.1> irqs 16-31 on motherboard
ioapic0 <Version 1.1> irqs 0-15 on motherboard
acpi0: <IBM SERONYXP> on motherboard
acpi0: Power Button (fixed)
acpi0: reservation of 460, 2 (4) failed
Timecounter "ACPI-safe" frequency 3579545 Hz quality 1000
acpi_timer0: <32-bit timer at 3.579545MHz> port 0x488-0x48b on acpi0
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <display, VGA> at device 6.0 (no driver attached)
atapci0: <ServerWorks CSB5 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x700-0x70f at device 15.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
ohci0: <OHCI (generic) USB controller> mem 0xfebfe000-0xfebfefff irq 11 at device 15.2 on pci0
ohci0: [GIANT-LOCKED]
usb0: OHCI version 1.0, legacy support
usb0: SMM does not respond, resetting
usb0: <OHCI (generic) USB controller> on ohci0
usb0: USB revision 1.0
uhub0: (0x1166) OHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 4 ports with 4 removable, self powered
isab0: <PCI-ISA bridge> at device 15.3 on pci0
isa0: <ISA bus> on isab0
pcib1: <ACPI Host-PCI bridge> on acpi0
pci2: <ACPI PCI bus> on pcib1
pcib2: <ACPI Host-PCI bridge> on acpi0
pci4: <ACPI PCI bus> on pcib2
pcib3: <ACPI Host-PCI bridge> on acpi0
pci6: <ACPI PCI bus> on pcib3
em0: <Intel(R) PRO/1000 Network Connection Version - 6.1.4> port 0x2500-0x253f mem 0xfbfe0000-0xfbffffff irq 29 at device 8.0 on pci6
em0: Ethernet address: 00:0d:60:eb:96:2a
em1: <Intel(R) PRO/1000 Network Connection Version - 6.1.4> port 0x2540-0x257f mem 0xfbfc0000-0xfbfdffff irq 30 at device 8.1 on pci6
em1: Ethernet address: 00:0d:60:eb:96:2b
pcib4: <ACPI Host-PCI bridge> on acpi0
pci8: <ACPI PCI bus> on pcib4
ips0: <Adaptec ServeRAID Adapter> mem 0xf3fff000-0xf3ffffff,0xf4000000-0xf7ffffff irq 18 at device 2.0 on pci8
fdc0: <floppy drive controller> port 0x3f0-0x3f5 irq 6 drq 2 on acpi0
fdc0: [FAST]
fd0: <1440-KB 3.5" drive> on fdc0 drive 0
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xc97ff on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
ppc0: parallel port not found.
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 on isa0
sio0: type 8250 or not responding
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
ipfw2 (+ipv6) initialized, divert loadable, rule-based forwarding enabled, default to accept, logging unlimited
acd0: CDROM <CD-224E/2.9B> at ata0-master UDMA33
ips0: resetting adapter, this may take up to 5 minutes
ips0: adapter type: ServeRAID 6i (sebring)
ips0: logical drives: 1
ips0: Logical Drive 0: RAID1 sectors: 35547136, state OK
ipsd0: <Logical Drive> on ips0
ipsd0: Logical Drive  (17357MB)
SMP: AP CPU #1 Launched!
Trying to mount root from ufs:/dev/ipsd0s1a
Comment 1 Gleb Smirnoff freebsd_committer 2006-09-15 15:35:59 UTC
On Thu, Sep 14, 2006 at 08:46:08AM +0000, Imri Zvik wrote:
I> >Environment:
I> FreeBSD wintergreen 6.1-STABLE FreeBSD 6.1-STABLE #1: Wed Aug 30 09:54:35 IDT 2006     root@wintergreen:/usr/obj/usr/src/sys/IGLD  i386
I> >Description:
I> I've recently upgraded my 6.0-STABLE machine to 6.1-STABLE, and since the upgrade i'm getting "em0: watchdog timeout -- resetting" messages every once in a while (sometimes twice a day, sometimes every couple of days). This causes the machine to be unstable, network-wise (connections being dropped, etc.)
I> 
I> Sep 14 06:35:41 wintergreen kernel: em0: watchdog timeout -- resetting
I> Sep 14 06:35:41 wintergreen kernel: em0: link state changed to DOWN
I> Sep 14 06:35:42 wintergreen kernel: em0: link state changed to UP
I> 
I> 
I> i've found this discussion on freebsd-stable (http://www.mail-archive.com/freebsd-stable@freebsd.org/msg81865.html) indicating that i am not the only one suffering from this issue.

As I already have mentioned many times on the mailing lists. Before
revision 1.65.2.14 of if_em.c, the watchdog timeout event's was not
logged at all.

However, there is definitely a regression in RELENG_6 that leads to
fake(?) watchdog timeouts on some systems. Unfortunately, I haven't
yet reproduced it on my systems.

Some people report that this is SMP issue, setting debug.mpsafenet=0
plumbs the problem.

Not sure whether you have the regression, or you are seeing the watchdog
events, that were not logged before.

-- 
Totus tuus, Glebius.
GLEBIUS-RIPN GLEB-RIPE
Comment 2 Imri Zvik 2006-09-15 17:55:13 UTC
I doubt this is an issue of unlogged events now being logged, as I also see stalls in traffic when those timeouts occur, a thing i didn't have before.

________________________________

From: Gleb Smirnoff [mailto:glebius@FreeBSD.org]
Date: × 15/09/2006 18:35
To: Imri Zvik
CC: freebsd-gnats-submit@FreeBSD.org
Subject: Re: kern/103256: em0: watchdog timeout -- resetting (6.1-STABLE)



On Thu, Sep 14, 2006 at 08:46:08AM +0000, Imri Zvik wrote:
I> >Environment:
I> FreeBSD wintergreen 6.1-STABLE FreeBSD 6.1-STABLE #1: Wed Aug 30 09:54:35 IDT 2006     root@wintergreen:/usr/obj/usr/src/sys/IGLD  i386
I> >Description:
I> I've recently upgraded my 6.0-STABLE machine to 6.1-STABLE, and since the upgrade i'm getting "em0: watchdog timeout -- resetting" messages every once in a while (sometimes twice a day, sometimes every couple of days). This causes the machine to be unstable, network-wise (connections being dropped, etc.)
I>
I> Sep 14 06:35:41 wintergreen kernel: em0: watchdog timeout -- resetting
I> Sep 14 06:35:41 wintergreen kernel: em0: link state changed to DOWN
I> Sep 14 06:35:42 wintergreen kernel: em0: link state changed to UP
I>
I>
I> i've found this discussion on freebsd-stable (http://www.mail-archive.com/freebsd-stable@freebsd.org/msg81865.html) indicating that i am not the only one suffering from this issue.

As I already have mentioned many times on the mailing lists. Before
revision 1.65.2.14 of if_em.c, the watchdog timeout event's was not
logged at all.

However, there is definitely a regression in RELENG_6 that leads to
fake(?) watchdog timeouts on some systems. Unfortunately, I haven't
yet reproduced it on my systems.

Some people report that this is SMP issue, setting debug.mpsafenet=0
plumbs the problem.

Not sure whether you have the regression, or you are seeing the watchdog
events, that were not logged before.

--
Totus tuus, Glebius.
GLEBIUS-RIPN GLEB-RIPE


Comment 3 Imri Zvik 2006-09-27 08:20:55 UTC
Sorry for the scrambled (base64 encoded) text. Here is my original
reply:


I doubt this is an issue of unlogged events now being logged, as I also
see stalls in traffic when those timeouts occur, a thing I did not have
before.
Comment 4 Gleb Smirnoff freebsd_committer 2006-09-27 14:33:32 UTC
On Wed, Sep 27, 2006 at 07:30:27AM +0000, Imri Zvik wrote:
I>  I doubt this is an issue of unlogged events now being logged, as I also
I>  see stalls in traffic when those timeouts occur, a thing I did not have
I>  before.

What if you try debug.mpsafenet=0?

-- 
Totus tuus, Glebius.
GLEBIUS-RIPN GLEB-RIPE
Comment 5 Imri Zvik 2006-09-28 08:18:35 UTC
Hi,

I have not tried it yet. This is a production machine, so I will have to
wait for the next maintenance window (as this can only be set at boot
time). I will update the PR as soon as I can apply this change.

Many thanks! :)
 =20

-----Original Message-----
From: Gleb Smirnoff [mailto:glebius@FreeBSD.org]=20
Sent: Wednesday, September 27, 2006 4:34 PM
To: Imri Zvik
Cc: freebsd-gnats-submit@FreeBSD.org
Subject: Re: kern/103256: [em] em0: watchdog timeout -- resetting
(6.1-STABLE)

On Wed, Sep 27, 2006 at 07:30:27AM +0000, Imri Zvik wrote:
I>  I doubt this is an issue of unlogged events now being logged, as I
also
I>  see stalls in traffic when those timeouts occur, a thing I did not
have
I>  before.

What if you try debug.mpsafenet=3D0?

--=20
Totus tuus, Glebius.
GLEBIUS-RIPN GLEB-RIPE
Comment 6 robert.edmonds 2006-10-01 01:38:27 UTC
Hello,

I can confirm this problem on an SMP amd64 machine (Core 2 Duo,
Supermicro PDSMI+ motherboard) with built-in Intel 82573V and 82573E
PCI-Express gigabit NICs and an Intel 82545GM PCI-X gigabit card.

Both 6.1 and 6.2-BETA1 exhibit the same behavior: starting a download
(e.g., portsnap fetch) is enough to trigger the timeout and a loss of
connectivity on the PCI-E NICs, but not the PCI-X one.

The 82545GM card works fine without debug.mpsafenet=0, but the 82573s
will only work with debug.mpsafenet=0.  I have several of these servers
which are not in production, so I can test whatever patches may be
necessary.  

Output of pciconf -lv and dmesg follow.

hostb0@pci0:0:0:	class=0x060000 card=0x798015d9 chip=0x27788086 rev=0xc0 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = 'Server Memory Controller Hub'
    class    = bridge
    subclass = HOST-PCI
pcib1@pci0:1:0:	class=0x060400 card=0x00000088 chip=0x27798086 rev=0xc0 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = 'PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
pcib2@pci0:28:0:	class=0x060400 card=0x00000040 chip=0x27d08086 rev=0x01 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
pcib4@pci0:28:4:	class=0x060400 card=0x00000040 chip=0x27e08086 rev=0x01 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801GR/GH/GHM (ICH7 Family) PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
pcib5@pci0:28:5:	class=0x060400 card=0x00000040 chip=0x27e28086 rev=0x01 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801GR/GH/GHM (ICH7 Family) PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
uhci0@pci0:29:0:	class=0x0c0300 card=0x798015d9 chip=0x27c88086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
uhci1@pci0:29:1:	class=0x0c0300 card=0x798015d9 chip=0x27c98086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
uhci2@pci0:29:2:	class=0x0c0300 card=0x798015d9 chip=0x27ca8086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
uhci3@pci0:29:3:	class=0x0c0300 card=0x798015d9 chip=0x27cb8086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
ehci0@pci0:29:7:	class=0x0c0320 card=0x798015d9 chip=0x27cc8086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB 2.0 Enhanced Host Controller'
    class    = serial bus
    subclass = USB
pcib6@pci0:30:0:	class=0x060401 card=0x00000050 chip=0x244e8086 rev=0xe1 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801BA/CA/DB/DBL/EB/ER/FB (ICH2/3/4/4/5/5/6), 6300ESB Hub Interface to PCI Bridge'
    class    = bridge
    subclass = PCI-PCI
isab0@pci0:31:0:	class=0x060100 card=0x798015d9 chip=0x27b88086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801GB/GR (ICH7 Family) LPC Interface Controller'
    class    = bridge
    subclass = PCI-ISA
atapci0@pci0:31:1:	class=0x01018a card=0x798015d9 chip=0x27df8086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) Ultra ATA Storage Controller'
    class    = mass storage
    subclass = ATA
atapci1@pci0:31:2:	class=0x01018f card=0x798015d9 chip=0x27c08086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801GB/GR/GH (ICH7 Family) Serial ATA Storage Controller'
    class    = mass storage
    subclass = ATA
none0@pci0:31:3:	class=0x0c0500 card=0x798015d9 chip=0x27da8086 rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) SMBus Controller'
    class    = serial bus
    subclass = SMBus
pcib3@pci9:0:0:	class=0x060400 card=0x00000044 chip=0x032c8086 rev=0x09 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '6702PXH PCI Express-to-PCI Express Bridge'
    class    = bridge
    subclass = PCI-PCI
none1@pci9:0:1:	class=0x080020 card=0x798015d9 chip=0x03268086 rev=0x09 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = 'PCI Bridge Hub I/OxAPIC Interrupt Controller A'
    class    = base peripheral
    subclass = interrupt controller
em0@pci10:1:0:	class=0x020000 card=0x10018086 chip=0x10268086 rev=0x04 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82545GM Gigabit Ethernet Controller'
    class    = network
    subclass = ethernet
em1@pci13:0:0:	class=0x020000 card=0x108c15d9 chip=0x108c8086 rev=0x03 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = 'PRO/1000 PM'
    class    = network
    subclass = ethernet
em2@pci14:0:0:	class=0x020000 card=0x109a15d9 chip=0x109a8086 rev=0x00 hdr=0x00
    vendor   = 'Intel Corporation'
    class    = network
    subclass = ethernet
none2@pci15:0:0:	class=0x030000 card=0x515e1002 chip=0x515e1002 rev=0x02 hdr=0x00
    vendor   = 'ATI Technologies Inc'
    class    = display
    subclass = VGA

Copyright (c) 1992-2006 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD 6.2-BETA1 #0: Mon Sep 18 15:00:58 UTC 2006
    root@meyers.cse.buffalo.edu:/usr/obj/usr/src/sys/SMP
WARNING: MPSAFE network stack disabled, expect reduced performance.
ACPI APIC Table: <PTLTD  	 APIC  >
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz (1862.01-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x6f6  Stepping = 6
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xe3bd<SSE3,RSVD2,MON,DS_CPL,VMX,EST,TM2,<b9>,CX16,<b14>,<b15>>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 2
real memory  = 535691264 (510 MB)
avail memory = 504504320 (481 MB)
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <PTLTD   RSDT> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
cpu0: <ACPI CPU> on acpi0
acpi_throttle0: <ACPI CPU Throttling> on cpu0
cpu1: <ACPI CPU> on acpi0
acpi_throttle1: <ACPI CPU Throttling> on cpu1
acpi_throttle1: failed to attach P_CNT
device_attach: acpi_throttle1 attach returned 6
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pci9: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 0.0 on pci9
pci10: <ACPI PCI bus> on pcib3
em0: <Intel(R) PRO/1000 Network Connection Version - 6.1.4> port 0x4000-0x403f mem 0xe0240000-0xe025ffff,0xe0200000-0xe023ffff irq 24 at device 1.0 on pci10
em0: Ethernet address: 00:04:23:d0:4b:aa
em0: [FAST]
pci9: <base peripheral, interrupt controller> at device 0.1 (no driver attached)
pcib4: <ACPI PCI-PCI bridge> irq 17 at device 28.4 on pci0
pci13: <ACPI PCI bus> on pcib4
em1: <Intel(R) PRO/1000 Network Connection Version - 6.1.4> port 0x5000-0x501f mem 0xe0300000-0xe031ffff irq 16 at device 0.0 on pci13
em1: Ethernet address: 00:30:48:89:c9:ea
em1: [FAST]
pcib5: <ACPI PCI-PCI bridge> irq 16 at device 28.5 on pci0
pci14: <ACPI PCI bus> on pcib5
em2: <Intel(R) PRO/1000 Network Connection Version - 6.1.4> port 0x6000-0x601f mem 0xe0400000-0xe041ffff irq 17 at device 0.0 on pci14
em2: Ethernet address: 00:30:48:89:c9:eb
em2: [FAST]
uhci0: <UHCI (generic) USB controller> port 0x3000-0x301f irq 23 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0x3020-0x303f irq 19 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
uhci2: <UHCI (generic) USB controller> port 0x3040-0x305f irq 18 at device 29.2 on pci0
uhci2: [GIANT-LOCKED]
usb2: <UHCI (generic) USB controller> on uhci2
usb2: USB revision 1.0
uhub2: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub2: 2 ports with 2 removable, self powered
uhci3: <UHCI (generic) USB controller> port 0x3060-0x307f irq 16 at device 29.3 on pci0
uhci3: [GIANT-LOCKED]
usb3: <UHCI (generic) USB controller> on uhci3
usb3: USB revision 1.0
uhub3: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub3: 2 ports with 2 removable, self powered
ehci0: <Intel 82801GB/R (ICH7) USB 2.0 controller> mem 0xe0000000-0xe00003ff irq 23 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <Intel 82801GB/R (ICH7) USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
uhub4: 8 ports with 8 removable, self powered
pcib6: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci15: <ACPI PCI bus> on pcib6
pci15: <display, VGA> at device 0.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH7 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x30a0-0x30af at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
atapci1: <Intel ICH7 SATA300 controller> port 0x30e8-0x30ef,0x30dc-0x30df,0x30e0-0x30e7,0x30d8-0x30db,0x30b0-0x30bf mem 0xe0000400-0xe00007ff irq 19 at device 31.2 on pci0
ata2: <ATA channel 0> on atapci1
ata3: <ATA channel 1> on atapci1
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
acpi_button0: <Power Button> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> flags 0x1 irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0
sio1: type 16550A
ppc0: <ECP parallel printer port> port 0x378-0x37f,0x778-0x77f irq 7 drq 3 on acpi0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/9 bytes threshold
ppbus0: <Parallel port bus> on ppc0
plip0: <PLIP network interface> on ppbus0
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
orm0: <ISA Option ROM> at iomem 0xc0000-0xcafff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
ad4: 239372MB <WDC WD2500YD-01NVB1 10.02E01> at ata2-master SATA150
SMP: AP CPU #1 Launched!
Trying to mount root from ufs:/dev/ad4s1a
em1: link state changed to UP

-- 
Robert Edmonds
robert.edmonds@gmail.com
Comment 7 Skye Poier 2006-10-16 22:36:14 UTC
Ditto, didn't see this problem with 6.1-PRERELEASE and upgraded to  
6.2-PRERELEASE and now I'm getting a couple of these a day on my dual  
Xeon intel 1u server:

em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
etc

Output of pciconf -lv

hostb0@pci0:0:0:        class=0x060000 card=0x34508086  
chip=0x35928086 rev=0x0c hdr=0x00
     vendor   = 'Intel Corporation'
     device   = 'E732x Server Memory Controller Hub'
     class    = bridge
     subclass = HOST-PCI
none0@pci0:0:1: class=0xff0000 card=0x34508086 chip=0x35938086  
rev=0x0c hdr=0x00    vendor   = 'Intel Corporation'
     device   = 'E752x Memory Controller Hub Error Reporting Registers'
pcib1@pci0:2:0: class=0x060400 card=0x00000050 chip=0x35958086  
rev=0x0c hdr=0x01    vendor   = 'Intel Corporation'
     device   = 'E752x Memory Controller Hub PCI Express Port A0'
     class    = bridge
     subclass = PCI-PCI
pcib2@pci0:3:0: class=0x060400 card=0x00000050 chip=0x35968086  
rev=0x0c hdr=0x01    vendor   = 'Intel Corporation'
     device   = 'E752x Memory Controller Hub PCI Express Port A1'
     class    = bridge
     subclass = PCI-PCI
pcib3@pci0:28:0:        class=0x060400 card=0x00000050  
chip=0x25ae8086 rev=0x02 hdr=0x01
     vendor   = 'Intel Corporation'
     device   = '6300ESB Hub Interface to PCI-X Bridge'
     class    = bridge
     subclass = PCI-PCI
uhci0@pci0:29:0:        class=0x0c0300 card=0x34508086  
chip=0x25a98086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB USB 1.1 UHCI Controller'
     class    = serial bus
     subclass = USB
uhci1@pci0:29:1:        class=0x0c0300 card=0x34508086  
chip=0x25aa8086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '5300ESB USB 1.1 UHCI Controller'
     class    = serial bus
     subclass = USB
none1@pci0:29:4:        class=0x088000 card=0x34508086  
chip=0x25ab8086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB Watchdog Timer'
     class    = base peripheral
none2@pci0:29:5:        class=0x080020 card=0x34508086  
chip=0x25ac8086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB APIC1'
     class    = base peripheral
     subclass = interrupt controller
ehci0@pci0:29:7:        class=0x0c0320 card=0x34508086  
chip=0x25ad8086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB USB 2.0 EHCI Controller'
     class    = serial bus
     subclass = USB
pcib4@pci0:30:0:        class=0x060400 card=0x00000000  
chip=0x244e8086 rev=0x0a hdr=0x01
     vendor   = 'Intel Corporation'
     device   = '82801BA/CA/DB/DBL/EB/ER/FB (ICH2/3/4/4/5/5/6),  
6300ESB Hub Interface to PCI Bridge'
     class    = bridge
     subclass = PCI-PCI
isab0@pci0:31:0:        class=0x060100 card=0x00000000  
chip=0x25a18086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB LPC Interface Bridge'
     class    = bridge
     subclass = PCI-ISA
atapci0@pci0:31:1:      class=0x01018a card=0x34508086  
chip=0x25a28086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB IDE Controller'
     class    = mass storage
     subclass = ATA
atapci1@pci0:31:2:      class=0x01048f card=0x34518086  
chip=0x25b08086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB Serial ATA Controller (RAID mode)'
     class    = mass storage
     subclass = RAID
ichsmb0@pci0:31:3:      class=0x0c0500 card=0x34508086  
chip=0x25a48086 rev=0x02 hdr=0x00
     vendor   = 'Intel Corporation'
     device   = '6300ESB SMBus Controller'
     class    = serial bus
     subclass = SMBus
none3@pci2:0:0: class=0x020000 card=0x50218086 chip=0x436111ab  
rev=0x17 hdr=0x00    vendor   = 'Marvell Semiconductor (Was: Galileo  
Technology Ltd)'
     device   = '88E8036 Marvell Yukon -EC 88E8050 PCI Express  
Gigabit Ethernet Controller'
     class    = network
     subclass = ethernet
none4@pci4:2:0: class=0x030000 card=0x34508086 chip=0x47521002  
rev=0x27 hdr=0x00    vendor   = 'ATI Technologies Inc'
     device   = 'Rage XL PCI'
     class    = display
     subclass = VGA
em0@pci4:3:0:   class=0x020000 card=0x34508086 chip=0x10768086  
rev=0x05 hdr=0x00    vendor   = 'Intel Corporation'
     device   = '82547EI Gigabit Ethernet Controller'
     class    = network
     subclass = ethernet
Comment 8 xoom.org 2007-03-08 19:55:53 UTC
------=_Part_113246_3907807.1173383753238
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I am also experiencing this problem (network connection randomly dies on
significant load, watchdog notices in /var/log/messages) and trying a
non-SMP kernel (GENERIC) and setting debug.mpsafenet=0 in /boot/loader.conf
(and rebooting) don't help.

This is on a system that I just recently cvsupped to 6.2-RELEASE-p2,
although it came with a clean install of 6.2-RELEASE that exhibited the same
behavior.

# pciconf -lv

hostb0@pci0:0:0:        class=0x060000 card=0x798015d9 chip=0x27788086
rev=0xc0 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = 'Server Memory Controller Hub'
    class    = bridge
    subclass = HOST-PCI
pcib1@pci0:1:0: class=0x060400 card=0x00000088 chip=0x27798086 rev=0xc0
hdr=0x01
    vendor   = 'Intel Corporation'
    device   = 'PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
pcib2@pci0:28:0:        class=0x060400 card=0x00000040 chip=0x27d08086
rev=0x01 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
pcib4@pci0:28:4:        class=0x060400 card=0x00000040 chip=0x27e08086
rev=0x01 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801GR/GH/GHM (ICH7 Family) PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
pcib5@pci0:28:5:        class=0x060400 card=0x00000040 chip=0x27e28086
rev=0x01 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801GR/GH/GHM (ICH7 Family) PCI Express Root Port'
    class    = bridge
    subclass = PCI-PCI
uhci0@pci0:29:0:        class=0x0c0300 card=0x798015d9 chip=0x27c88086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
uhci1@pci0:29:1:        class=0x0c0300 card=0x798015d9 chip=0x27c98086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
uhci2@pci0:29:2:        class=0x0c0300 card=0x798015d9 chip=0x27ca8086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
uhci3@pci0:29:3:        class=0x0c0300 card=0x798015d9 chip=0x27cb8086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB Universal Host Controller'
    class    = serial bus
    subclass = USB
ehci0@pci0:29:7:        class=0x0c0320 card=0x798015d9 chip=0x27cc8086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) USB 2.0 Enhanced Host Controller'
    class    = serial bus
    subclass = USB
pcib6@pci0:30:0:        class=0x060401 card=0x00000050 chip=0x244e8086
rev=0xe1 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801BA/CA/DB/DBL/EB/ER/FB (ICH2/3/4/4/5/5/6), 6300ESB Hub
Interface to PCI Bridge'
    class    = bridge
    subclass = PCI-PCI
isab0@pci0:31:0:        class=0x060100 card=0x798015d9 chip=0x27b88086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801GB/GR (ICH7 Family) LPC Interface Controller'
    class    = bridge
    subclass = PCI-ISA
atapci0@pci0:31:1:      class=0x01018a card=0x798015d9 chip=0x27df8086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) Ultra ATA Storage Controller'
    class    = mass storage
    subclass = ATA
atapci1@pci0:31:2:      class=0x01018f card=0x798015d9 chip=0x27c08086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801GB/GR/GH (ICH7 Family) Serial ATA Storage Controller'
    class    = mass storage
    subclass = ATA
none0@pci0:31:3:        class=0x0c0500 card=0x798015d9 chip=0x27da8086
rev=0x01 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801G (ICH7 Family) SMBus Controller'
    class    = serial bus
    subclass = SMBus
pcib3@pci9:0:0: class=0x060400 card=0x00000044 chip=0x032c8086 rev=0x09
hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '6702PXH PCI Express-to-PCI Express Bridge'
    class    = bridge
    subclass = PCI-PCI
none1@pci9:0:1: class=0x080020 card=0x798015d9 chip=0x03268086 rev=0x09
hdr=0x00
    vendor   = 'Intel Corporation'
    device   = 'PCI Bridge Hub I/OxAPIC Interrupt Controller A'
    class    = base peripheral
    subclass = interrupt controller
em0@pci13:0:0:  class=0x020000 card=0x108c15d9 chip=0x108c8086 rev=0x03
hdr=0x00
    vendor   = 'Intel Corporation'
    device   = 'PRO/1000 PM'
    class    = network
    subclass = ethernet
em1@pci14:0:0:  class=0x020000 card=0x109a15d9 chip=0x109a8086 rev=0x00
hdr=0x00
    vendor   = 'Intel Corporation'
    class    = network
    subclass = ethernet
none2@pci15:0:0:        class=0x030000 card=0x798015d9 chip=0x515e1002
rev=0x02 hdr=0x00
    vendor   = 'ATI Technologies Inc'
    class    = display
    subclass = VGA


# dmesg

Copyright (c) 1992-2007 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 6.2-RELEASE-p2 #0: Thu Mar  8 10:20:17 PST 2007
    root@sd17.ltbx.net:/usr/src/sys/i386/compile/GENERIC
WARNING: MPSAFE network stack disabled, expect reduced performance.
ACPI APIC Table: <PTLTD          APIC  >
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Core(TM)2 CPU          6600  @ 2.40GHz (2394.01-MHz 686-class
CPU)
  Origin = "GenuineIntel"  Id = 0x6f6  Stepping = 6

Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0xe3bd<SSE3,RSVD2,MON,DS_CPL,VMX,EST,TM2,<b9>,CX16,<b14>,<b15>>
  AMD Features=0x20100000<NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 2
real memory  = 3756916736 (3582 MB)
avail memory = 3677573120 (3507 MB)
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <PTLTD   RSDT> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
cpu0: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pci9: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 0.0 on pci9
pci10: <ACPI PCI bus> on pcib3
pci9: <base peripheral, interrupt controller> at device 0.1 (no driver
attached)
pcib4: <ACPI PCI-PCI bridge> irq 17 at device 28.4 on pci0
pci13: <ACPI PCI bus> on pcib4
em0: <Intel(R) PRO/1000 Network Connection Version - 6.2.9> port
0x4000-0x401f mem 0xe0200000-0xe021ffff irq 16 at device 0.0 on pci13
em0: Ethernet address: 00:30:48:8c:b9:be
em0: [GIANT-LOCKED]
pcib5: <ACPI PCI-PCI bridge> irq 16 at device 28.5 on pci0
pci14: <ACPI PCI bus> on pcib5
em1: <Intel(R) PRO/1000 Network Connection Version - 6.2.9> port
0x5000-0x501f mem 0xe0300000-0xe031ffff irq 17 at device 0.0 on pci14
em1: Ethernet address: 00:30:48:8c:b9:bf
em1: [GIANT-LOCKED]
uhci0: <UHCI (generic) USB controller> port 0x3000-0x301f irq 23 at device
29.0 on pci0
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0x3020-0x303f irq 19 at device
29.1 on pci0
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
uhci2: <UHCI (generic) USB controller> port 0x3040-0x305f irq 18 at device
29.2 on pci0
uhci2: [GIANT-LOCKED]
usb2: <UHCI (generic) USB controller> on uhci2
usb2: USB revision 1.0
uhub2: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub2: 2 ports with 2 removable, self powered
uhci3: <UHCI (generic) USB controller> port 0x3060-0x307f irq 16 at device
29.3 on pci0
uhci3: [GIANT-LOCKED]
usb3: <UHCI (generic) USB controller> on uhci3
usb3: USB revision 1.0
uhub3: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub3: 2 ports with 2 removable, self powered
ehci0: <Intel 82801GB/R (ICH7) USB 2.0 controller> mem 0xe0000000-0xe00003ff
irq 23 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <Intel 82801GB/R (ICH7) USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
uhub4: 8 ports with 8 removable, self powered
pcib6: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci15: <ACPI PCI bus> on pcib6
pci15: <display, VGA> at device 0.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH7 UDMA100 controller> port
0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x30a0-0x30af at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
atapci1: <Intel ICH7 SATA300 controller> port
0x30e8-0x30ef,0x30dc-0x30df,0x30e0-0x30e7,0x30d8-0x30db,0x30b0-0x30bf mem
0xe0000400-0xe00007ff irq 19 at device 31.2 on pci0
ata2: <ATA channel 0> on atapci1
ata3: <ATA channel 1> on atapci1
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
acpi_button0: <Power Button> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: does not respond
device_attach: fdc0 attach returned 6
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: does not respond
device_attach: fdc0 attach returned 6
pmtimer0 on isa0
orm0: <ISA Option ROM> at iomem 0xc0000-0xcafff on isa0
ppc0: parallel port not found.
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 on isa0
sio0: type 8250 or not responding
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounter "TSC" frequency 2394009261 Hz quality 800
Timecounters tick every 1.000 msec
acd0: CDROM <SR243T/L02J> at ata0-master UDMA33
ad4: 35304MB <WDC WD360ADFD-00NLR1 20.07P20> at ata2-master SATA150
ad6: 35304MB <WDC WD360ADFD-00NLR1 20.07P20> at ata3-master SATA150
Trying to mount root from ufs:/dev/ad4s1a
em1: link state changed to UP
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP
em0: watchdog timeout -- resetting
em0: link state changed to DOWN
em0: link state changed to UP

------=_Part_113246_3907807.1173383753238
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

I am also experiencing this problem (network connection randomly dies on significant load, watchdog notices in /var/log/messages) and trying a non-SMP kernel (GENERIC) and setting debug.mpsafenet=0 in /boot/loader.conf (and rebooting) don&#39;t help.
<br><br>This is on a system that I just recently cvsupped to 6.2-RELEASE-p2, although it came with a clean install of 6.2-RELEASE that exhibited the same behavior.<br><br># pciconf -lv<br><br>hostb0@pci0:0:0:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; class=0x060000 card=0x798015d9 chip=0x27788086 rev=0xc0 hdr=0x00
<br>&nbsp;&nbsp;&nbsp; vendor&nbsp;&nbsp; = &#39;Intel Corporation&#39;<br>&nbsp;&nbsp;&nbsp; device&nbsp;&nbsp; = &#39;Server Memory Controller Hub&#39;<br>&nbsp;&nbsp;&nbsp; class&nbsp;&nbsp;&nbsp; = bridge<br>&nbsp;&nbsp;&nbsp; subclass = HOST-PCI<br
Comment 9 Kris Kennaway freebsd_committer 2007-03-11 09:27:49 UTC
Responsible Changed
From-To: freebsd-bugs->jfv

Assign to driver maintainer
Comment 10 John Pettitt 2007-04-30 08:20:26 UTC
I'm also seeing the problem  - setting mpsafenet=0 doesn't fix it for me 
but setting sysctl dev.em.0.tx_int_delay=0 does seem to suppress the 
problem.

jeeves# uname -a
FreeBSD jeeves.localnet 6.2-STABLE FreeBSD 6.2-STABLE #24: Sun Apr 29 
19:40:01 PDT 2007     
root@jeeves.localnet:/usr/src/sys/i386/compile/JEEVES  i386
jeeves# pciconf -lv
agp0@pci0:0:0:  class=0x060000 card=0x00000000 chip=0x25708086 rev=0x02 
hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82865G/PE/P, 82848P DRAM Controller / Host-Hub Interface'
    class    = bridge
    subclass = HOST-PCI
pcib1@pci0:1:0: class=0x060400 card=0x00000000 chip=0x25718086 rev=0x02 
hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82865G/PE/P, 82848P PCI-to-AGP Bridge'
    class    = bridge
    subclass = PCI-PCI
pcib2@pci0:3:0: class=0x060400 card=0x00000000 chip=0x25738086 rev=0x02 
hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82865G/PE/P, 82848P PCI-to-CSA Bridge'
    class    = bridge
    subclass = PCI-PCI
uhci0@pci0:29:0:        class=0x0c0300 card=0x8159104d chip=0x24d28086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) USB UHCI Controller'
    class    = serial bus
    subclass = USB
uhci1@pci0:29:1:        class=0x0c0300 card=0x8159104d chip=0x24d48086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) USB UHCI Controller'
    class    = serial bus
    subclass = USB
uhci2@pci0:29:2:        class=0x0c0300 card=0x8159104d chip=0x24d78086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) USB UHCI Controller'
    class    = serial bus
    subclass = USB
uhci3@pci0:29:3:        class=0x0c0300 card=0x8159104d chip=0x24de8086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) USB UHCI Controller'
    class    = serial bus
    subclass = USB
pcib3@pci0:30:0:        class=0x060400 card=0x00000000 chip=0x244e8086 
rev=0xc2 hdr=0x01
    vendor   = 'Intel Corporation'
    device   = '82801BA/CA/DB/DBL/EB/ER/FB (ICH2/3/4/4/5/5/6), 6300ESB 
Hub Interface to PCI Bridge'
    class    = bridge
    subclass = PCI-PCI
isab0@pci0:31:0:        class=0x060100 card=0x00000000 chip=0x24d08086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) LPC Interface Bridge'
    class    = bridge
    subclass = PCI-ISA
atapci0@pci0:31:1:      class=0x01018a card=0x8159104d chip=0x24db8086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) EIDE Controller'
    class    = mass storage
    subclass = ATA
none0@pci0:31:3:        class=0x0c0500 card=0x8159104d chip=0x24d38086 
rev=0x02 hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82801EB/ER (ICH5/ICH5R) SMBus Controller'
    class    = serial bus
    subclass = SMBus
drm0@pci1:0:0:  class=0x030000 card=0x013a1002 chip=0x514c1002 rev=0x00 
hdr=0x00
    vendor   = 'ATI Technologies Inc'
    device   = 'R200 Radeon 8500 / 8500LE'
    class    = display
    subclass = VGA
em0@pci2:1:0:   class=0x020000 card=0x815d104d chip=0x10198086 rev=0x00 
hdr=0x00
    vendor   = 'Intel Corporation'
    device   = '82547EI Gigabit Ethernet Controller (LOM)'
    class    = network
    subclass = ethernet
twa0@pci3:11:0: class=0x010400 card=0x100213c1 chip=0x100213c1 rev=0x00 
hdr=0x00
    vendor   = '3ware Inc.'
    device   = '9000 series SATA/PATA Storage Controller'
    class    = mass storage
    subclass = RAID

Apr 29 21:54:53 jeeves syslogd: restart
Apr 29 21:54:53 jeeves syslogd: kernel boot file is /boot/kernel/kernel
Apr 29 21:54:53 jeeves kernel: Copyright (c) 1992-2007 The FreeBSD Project.
Apr 29 21:54:53 jeeves kernel: Copyright (c) 1979, 1980, 1983, 1986, 
1988, 1989, 1991, 1992, 1993, 1994
Apr 29 21:54:53 jeeves kernel: The Regents of the University of 
California. All rights reserved.
Apr 29 21:54:53 jeeves kernel: FreeBSD is a registered trademark of The 
FreeBSD Foundation.
Apr 29 21:54:53 jeeves kernel: FreeBSD 6.2-STABLE #24: Sun Apr 29 
19:40:01 PDT 2007
Apr 29 21:54:53 jeeves kernel: 
root@jeeves.localnet:/usr/src/sys/i386/compile/JEEVES
Apr 29 21:54:53 jeeves kernel: WARNING: MPSAFE network stack disabled, 
expect reduced performance.
Apr 29 21:54:53 jeeves kernel: ACPI APIC Table: <A M I  OEMAPIC >
Apr 29 21:54:53 jeeves kernel: Timecounter "i8254" frequency 1193182 Hz 
quality 0
Apr 29 21:54:53 jeeves kernel: CPU: Intel(R) Pentium(R) 4 CPU 2.60GHz 
(2593.51-MHz 686-class CPU)
Apr 29 21:54:53 jeeves kernel: Origin = "GenuineIntel"  Id = 0xf29  
Stepping = 9
Apr 29 21:54:53 jeeves kernel: 
Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
Apr 29 21:54:53 jeeves kernel: Features2=0x4400<CNTX-ID,<b14>>
Apr 29 21:54:53 jeeves kernel: real memory  = 2147287040 (2047 MB)
Apr 29 21:54:53 jeeves kernel: avail memory = 2096332800 (1999 MB)
Apr 29 21:54:53 jeeves kernel: ioapic0 <Version 2.0> irqs 0-23 on 
motherboard
Apr 29 21:54:53 jeeves kernel: netsmb_dev: loaded
Apr 29 21:54:53 jeeves kernel: acpi0: <A M I OEMRSDT> on motherboard
Apr 29 21:54:53 jeeves kernel: acpi0: Power Button (fixed)
Apr 29 21:54:53 jeeves kernel: Timecounter "ACPI-safe" frequency 3579545 
Hz quality 1000
Apr 29 21:54:53 jeeves kernel: acpi_timer0: <24-bit timer at 
3.579545MHz> port 0x808-0x80b on acpi0
Apr 29 21:54:53 jeeves kernel: cpu0: <ACPI CPU> on acpi0
Apr 29 21:54:53 jeeves kernel: pcib0: <ACPI Host-PCI bridge> port 
0xcf8-0xcff on acpi0
Apr 29 21:54:53 jeeves kernel: pci0: <ACPI PCI bus> on pcib0
Apr 29 21:54:53 jeeves kernel: agp0: <Intel 82865 host to AGP bridge> 
mem 0xf8000000-0xfbffffff at device 0.0 on pci0
Apr 29 21:54:53 jeeves kernel: pcib1: <ACPI PCI-PCI bridge> at device 
1.0 on pci0
Apr 29 21:54:53 jeeves kernel: pci1: <ACPI PCI bus> on pcib1
Apr 29 21:54:53 jeeves kernel: pci1: <display, VGA> at device 0.0 (no 
driver attached)
Apr 29 21:54:53 jeeves kernel: pcib2: <ACPI PCI-PCI bridge> at device 
3.0 on pci0
Apr 29 21:54:53 jeeves kernel: pci2: <ACPI PCI bus> on pcib2
Apr 29 21:54:53 jeeves kernel: em0: <Intel(R) PRO/1000 Network 
Connection Version - 6.2.9> port 0xac00-0xac1f mem 0xfe9e0000-0xfe9fffff 
irq 18 at device 1.0 on pci2
Apr 29 21:54:53 jeeves kernel: em0: Ethernet address: 00:0c:6e:4d:ae:7a
Apr 29 21:54:53 jeeves kernel: em0: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: uhci0: <Intel 82801EB (ICH5) USB 
controller USB-A> port 0xe000-0xe01f irq 16 at device 29.0 on pci0
Apr 29 21:54:53 jeeves kernel: uhci0: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: usb0: <Intel 82801EB (ICH5) USB 
controller USB-A> on uhci0
Apr 29 21:54:53 jeeves kernel: usb0: USB revision 1.0
Apr 29 21:54:53 jeeves kernel: uhub0: Intel UHCI root hub, class 9/0, 
rev 1.00/1.00, addr 1
Apr 29 21:54:53 jeeves kernel: uhub0: 2 ports with 2 removable, self powered
Apr 29 21:54:53 jeeves kernel: uhci1: <Intel 82801EB (ICH5) USB 
controller USB-B> port 0xe400-0xe41f irq 19 at device 29.1 on pci0
Apr 29 21:54:53 jeeves kernel: uhci1: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: usb1: <Intel 82801EB (ICH5) USB 
controller USB-B> on uhci1
Apr 29 21:54:53 jeeves kernel: usb1: USB revision 1.0
Apr 29 21:54:53 jeeves kernel: uhub1: Intel UHCI root hub, class 9/0, 
rev 1.00/1.00, addr 1
Apr 29 21:54:53 jeeves kernel: uhub1: 2 ports with 2 removable, self powered
Apr 29 21:54:53 jeeves kernel: uhci2: <Intel 82801EB (ICH5) USB 
controller USB-C> port 0xe800-0xe81f irq 18 at device 29.2 on pci0
Apr 29 21:54:53 jeeves kernel: uhci2: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: usb2: <Intel 82801EB (ICH5) USB 
controller USB-C> on uhci2
Apr 29 21:54:53 jeeves kernel: usb2: USB revision 1.0
Apr 29 21:54:53 jeeves kernel: uhub2: Intel UHCI root hub, class 9/0, 
rev 1.00/1.00, addr 1
Apr 29 21:54:53 jeeves kernel: uhub2: 2 ports with 2 removable, self powered
Apr 29 21:54:53 jeeves kernel: uhci3: <Intel 82801EB (ICH5) USB 
controller USB-D> port 0xec00-0xec1f irq 16 at device 29.3 on pci0
Apr 29 21:54:53 jeeves kernel: uhci3: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: usb3: <Intel 82801EB (ICH5) USB 
controller USB-D> on uhci3
Apr 29 21:54:53 jeeves kernel: usb3: USB revision 1.0
Apr 29 21:54:53 jeeves kernel: uhub3: Intel UHCI root hub, class 9/0, 
rev 1.00/1.00, addr 1
Apr 29 21:54:53 jeeves kernel: uhub3: 2 ports with 2 removable, self powered
Apr 29 21:54:53 jeeves kernel: pcib3: <ACPI PCI-PCI bridge> at device 
30.0 on pci0
Apr 29 21:54:53 jeeves kernel: pci3: <ACPI PCI bus> on pcib3
Apr 29 21:54:53 jeeves kernel: 3ware device driver for 9000 series 
storage controllers, version: 3.60.02.012
Apr 29 21:54:53 jeeves kernel: twa0: <3ware 9000 series Storage 
Controller> port 0xb800-0xb8ff mem 
0xfeaffc00-0xfeaffcff,0xf7000000-0xf77fffff irq 23 at device 11.0 on pci3
Apr 29 21:54:53 jeeves kernel: twa0: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: twa0: INFO: (0x15: 0x1300): Controller 
details:: Model 9500S-12, 12 ports, Firmware FE9X 2.06.00.009, BIOS BE9X 
2.03.01.051
Apr 29 21:54:53 jeeves kernel: isab0: <PCI-ISA bridge> at device 31.0 on 
pci0
Apr 29 21:54:53 jeeves kernel: isa0: <ISA bus> on isab0
Apr 29 21:54:53 jeeves kernel: atapci0: <Intel ICH5 UDMA100 controller> 
port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xfc00-0xfc0f at device 31.1 on 
pci0
Apr 29 21:54:53 jeeves kernel: ata0: <ATA channel 0> on atapci0
Apr 29 21:54:53 jeeves kernel: ata1: <ATA channel 1> on atapci0
Apr 29 21:54:53 jeeves kernel: pci0: <serial bus, SMBus> at device 31.3 
(no driver attached)
Apr 29 21:54:53 jeeves kernel: acpi_button0: <Power Button> on acpi0
Apr 29 21:54:53 jeeves kernel: atkbdc0: <Keyboard controller (i8042)> 
port 0x60,0x64 irq 1 on acpi0
Apr 29 21:54:53 jeeves kernel: atkbd0: <AT Keyboard> irq 1 on atkbdc0
Apr 29 21:54:53 jeeves kernel: kbd0 at atkbd0
Apr 29 21:54:53 jeeves kernel: atkbd0: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: psm0: <PS/2 Mouse> irq 12 on atkbdc0
Apr 29 21:54:53 jeeves kernel: psm0: [GIANT-LOCKED]
Apr 29 21:54:53 jeeves kernel: psm0: model IntelliMouse, device ID 3
Apr 29 21:54:53 jeeves kernel: fdc0: <floppy drive controller (FDE)> 
port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
Apr 29 21:54:53 jeeves kernel: fdc0: [FAST]
Apr 29 21:54:53 jeeves kernel: ppc0: <Standard parallel printer port> 
port 0x378-0x37f irq 7 on acpi0
Apr 29 21:54:53 jeeves kernel: ppc0: Generic chipset (NIBBLE-only) in 
COMPATIBLE mode
Apr 29 21:54:53 jeeves kernel: ppbus0: <Parallel port bus> on ppc0
Apr 29 21:54:53 jeeves kernel: plip0: <PLIP network interface> on ppbus0
Apr 29 21:54:53 jeeves kernel: lpt0: <Printer> on ppbus0
Apr 29 21:54:53 jeeves kernel: lpt0: Interrupt-driven port
Apr 29 21:54:53 jeeves kernel: ppi0: <Parallel I/O> on ppbus0
Apr 29 21:54:53 jeeves kernel: pps0: <Pulse per second Timing Interface> 
on ppbus0
Apr 29 21:54:53 jeeves kernel: pmtimer0 on isa0
Apr 29 21:54:53 jeeves kernel: orm0: <ISA Option ROMs> at iomem 
0xc0000-0xcbfff,0xcc000-0xcd7ff on isa0
Apr 29 21:54:53 jeeves kernel: sc0: <System console> at flags 0x100 on isa0
Apr 29 21:54:53 jeeves kernel: sc0: VGA <16 virtual consoles, flags=0x300>
Apr 29 21:54:53 jeeves kernel: sio0: configured irq 4 not in bitmap of 
probed irqs 0
Apr 29 21:54:53 jeeves kernel: sio0: port may not be enabled
Apr 29 21:54:53 jeeves kernel: sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 
on isa0
Apr 29 21:54:53 jeeves kernel: sio0: type 8250 or not responding
Apr 29 21:54:53 jeeves kernel: sio1: configured irq 3 not in bitmap of 
probed irqs 0
Apr 29 21:54:53 jeeves kernel: sio1: port may not be enabled
Apr 29 21:54:53 jeeves kernel: vga0: <Generic ISA VGA> at port 
0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Apr 29 21:54:53 jeeves kernel: Timecounter "TSC" frequency 2593513904 Hz 
quality 800
Apr 29 21:54:53 jeeves kernel: Timecounters tick every 1.000 msec
Apr 29 21:54:53 jeeves kernel: IP Filter: v4.1.13 initialized.  Default 
= pass all, Logging = disabled
Apr 29 21:54:53 jeeves kernel: ipfw2 initialized, divert enabled, 
rule-based forwarding disabled, default to deny, logging unlimited
Apr 29 21:54:53 jeeves kernel: ad0: 76319MB <WDC WD800BB-22FJA0 
13.03G13> at ata0-master UDMA100
Apr 29 21:54:53 jeeves kernel: ad2: 286188MB <Maxtor 6B300R0 BAH41B70> 
at ata1-master UDMA100
Apr 29 21:54:53 jeeves kernel: ad3: 286188MB <Maxtor 6B300R0 BAH41B70> 
at ata1-slave UDMA100
Apr 29 21:54:53 jeeves kernel: GEOM_LABEL: Label for provider ad2s1a is 
ufs/data.
Apr 29 21:54:53 jeeves kernel: GEOM_MIRROR: Device data created 
(id=1078413883).
Apr 29 21:54:53 jeeves kernel: GEOM_MIRROR: Device data: provider ad2s1a 
detected.
Apr 29 21:54:53 jeeves kernel: GEOM_MIRROR: Device data: provider ad3s1a 
detected.
Apr 29 21:54:53 jeeves kernel: GEOM_MIRROR: Device data: provider ad3s1a 
activated.
Apr 29 21:54:53 jeeves kernel: GEOM_MIRROR: Device data: provider ad2s1a 
activated.
Apr 29 21:54:53 jeeves kernel: GEOM_MIRROR: Device data: provider 
mirror/data launched.
Apr 29 21:54:53 jeeves kernel: GEOM_LABEL: Label ufs/data removed.
Apr 29 21:54:53 jeeves kernel: da0 at twa0 bus 0 target 0 lun 0
Apr 29 21:54:53 jeeves kernel: da0: <AMCC 9500S-12   DISK 2.06> Fixed 
Direct Access SCSI-3 device
Apr 29 21:54:53 jeeves kernel: da0: 100.000MB/s transfers
Apr 29 21:54:53 jeeves kernel: da0: 1430481MB (2929625088 512 byte 
sectors: 255H 63S/T 182360C)
Apr 29 21:54:53 jeeves kernel: GEOM_LABEL: Label for provider da0 is 
label/c0-u0-raid10.
Apr 29 21:54:53 jeeves kernel: Trying to mount root from ufs:/dev/ad0s1a
Apr 29 21:54:53 jeeves kernel: Loading configuration files.
Apr 29 21:54:53 jeeves kernel: Entropy harvesting:
Apr 29 21:54:53 jeeves kernel: interrupts
Apr 29 21:54:53 jeeves kernel: ethernet
Apr 29 21:54:53 jeeves kernel: point_to_point
Apr 29 21:54:53 jeeves kernel: kickstart
Apr 29 21:54:53 jeeves kernel: .
Comment 11 Gert Lynge 2007-06-27 09:37:34 UTC
Having same problem here with 6.2-RELEASE-p4 stock SMP-kernel on a SuperMic=
ro SuperServer 50145M-MT+ with IPMI module.
Connected at a gigabit switch with Category 6 cable. Tried another cable an=
d a 100Mbit/s switch with same result.
Now trying out sysctl dev.em.0.tx_int_delay=3D0
Please let me know if I can provide further info.
---------------
ws# grep em0 messages
Jun 27 07:59:56 ws kernel: em0: watchdog timeout -- resetting
Jun 27 07:59:56 ws kernel: em0: link state changed to DOWN
Jun 27 07:59:59 ws kernel: em0: link state changed to UP
Jun 27 08:01:00 ws kernel: em0: watchdog timeout -- resetting
Jun 27 08:01:00 ws kernel: em0: link state changed to DOWN
Jun 27 08:01:03 ws kernel: em0: link state changed to UP
Jun 27 08:09:14 ws kernel: em0: watchdog timeout -- resetting
Jun 27 08:09:14 ws kernel: em0: link state changed to DOWN
Jun 27 08:09:17 ws kernel: em0: link state changed to UP
Jun 27 08:14:51 ws kernel: em0: watchdog timeout -- resetting
Jun 27 08:14:51 ws kernel: em0: link state changed to DOWN
Jun 27 08:14:54 ws kernel: em0: link state changed to UP
Jun 27 08:26:00 ws kernel: em0: watchdog timeout -- resetting
Jun 27 08:26:00 ws kernel: em0: link state changed to DOWN
Jun 27 08:26:03 ws kernel: em0: link state changed to UP
Jun 27 08:31:22 ws kernel: em0: watchdog timeout -- resetting
Jun 27 08:31:22 ws kernel: em0: link state changed to DOWN
Jun 27 08:31:25 ws kernel: em0: link state changed to UP
Jun 27 09:03:28 ws kernel: em0: watchdog timeout -- resetting
Jun 27 09:03:28 ws kernel: em0: link state changed to DOWN
Jun 27 09:03:31 ws kernel: em0: link state changed to UP
Jun 27 09:08:47 ws kernel: em0: watchdog timeout -- resetting
Jun 27 09:08:47 ws kernel: em0: link state changed to DOWN
Jun 27 09:08:50 ws kernel: em0: link state changed to UP
Jun 27 09:17:26 ws kernel: em0: watchdog timeout -- resetting
Jun 27 09:17:26 ws kernel: em0: link state changed to DOWN
Jun 27 09:17:29 ws kernel: em0: link state changed to UP
Jun 27 09:18:01 ws kernel: em0: watchdog timeout -- resetting
Jun 27 09:18:01 ws kernel: em0: link state changed to DOWN
Jun 27 09:18:04 ws kernel: em0: link state changed to UP
Jun 27 09:18:29 ws kernel: em0: watchdog timeout -- resetting
Jun 27 09:18:29 ws kernel: em0: link state changed to DOWN
Jun 27 09:18:32 ws kernel: em0: link state changed to UP
Jun 27 09:19:02 ws kernel: em0: watchdog timeout -- resetting
Jun 27 09:19:02 ws kernel: em0: link state changed to DOWN
Jun 27 09:19:05 ws kernel: em0: link state changed to UP
---------------
ws# uname -a
FreeBSD ws.inter-data.dk 6.2-RELEASE-p4 FreeBSD 6.2-RELEASE-p4 #0: Thu Apr =
26 17:55:55 UTC 2007     root@i386-builder.daemonology.net:/usr/obj/usr/src=
/sys/SMP  i386
---------------
ws# cat /var/run/dmesg.boot
Copyright (c) 1992-2007 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 6.2-RELEASE-p4 #0: Thu Apr 26 17:55:55 UTC 2007
    root@i386-builder.daemonology.net:/usr/obj/usr/src/sys/SMP
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz (2660.02-MHz 686-class=
 CPU)
  Origin =3D "GenuineIntel"  Id =3D 0x6fb  Stepping =3D 11
  Features=3D0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PG=
E,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=3D0xe3bd<SSE3,RSVD2,MON,DS_CPL,VMX,EST,TM2,<b9>,CX16,<b14>,<b15=
>>
  AMD Features=3D0x20000000<LM>
  AMD Features2=3D0x1<LAHF>
  Cores per package: 4
real memory  =3D 2146304000 (2046 MB)
avail memory =3D 2095169536 (1998 MB)
ACPI APIC Table: <PTLTD          APIC  >
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  2
 cpu3 (AP): APIC ID:  3
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <PTLTD   RSDT> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
cpu2: <ACPI CPU> on acpi0
cpu3: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pci9: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 0.0 on pci9
pci10: <ACPI PCI bus> on pcib3
pci9: <base peripheral, interrupt controller> at device 0.1 (no driver atta=
ched)
pcib4: <ACPI PCI-PCI bridge> irq 17 at device 28.4 on pci0
pci13: <ACPI PCI bus> on pcib4
em0: <Intel(R) PRO/1000 Network Connection Version - 6.2.9> port 0x4000-0x4=
01f mem 0xe0200000-0xe021ffff irq 16 at device 0.0 on pci13
em0: Ethernet address: 00:30:48:8d:1f:5e
pcib5: <ACPI PCI-PCI bridge> irq 16 at device 28.5 on pci0
pci14: <ACPI PCI bus> on pcib5
em1: <Intel(R) PRO/1000 Network Connection Version - 6.2.9> port 0x5000-0x5=
01f mem 0xe0300000-0xe031ffff irq 17 at device 0.0 on pci14
em1: Ethernet address: 00:30:48:8d:1f:5f
uhci0: <UHCI (generic) USB controller> port 0x3000-0x301f irq 23 at device =
29.0 on pci0
uhci0: [GIANT-LOCKED]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0x3020-0x303f irq 19 at device =
29.1 on pci0
uhci1: [GIANT-LOCKED]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
uhci2: <UHCI (generic) USB controller> port 0x3040-0x305f irq 18 at device =
29.2 on pci0
uhci2: [GIANT-LOCKED]
usb2: <UHCI (generic) USB controller> on uhci2
usb2: USB revision 1.0
uhub2: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub2: 2 ports with 2 removable, self powered
uhci3: <UHCI (generic) USB controller> port 0x3060-0x307f irq 16 at device =
29.3 on pci0
uhci3: [GIANT-LOCKED]
usb3: <UHCI (generic) USB controller> on uhci3
usb3: USB revision 1.0
uhub3: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub3: 2 ports with 2 removable, self powered
ehci0: <Intel 82801GB/R (ICH7) USB 2.0 controller> mem 0xe0000000-0xe00003f=
f irq 23 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <Intel 82801GB/R (ICH7) USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
uhub4: 8 ports with 8 removable, self powered
pcib6: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci15: <ACPI PCI bus> on pcib6
pci15: <display, VGA> at device 0.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH7 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177=
,0x376,0x30a0-0x30af at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
atapci1: <Intel ICH7 SATA300 controller> port 0x30e8-0x30ef,0x30dc-0x30df,0=
x30e0-0x30e7,0x30d8-0x30db,0x30b0-0x30bf mem 0xe0000400-0xe00007ff irq 19 a=
t device 31.2 on pci0
atapci1: AHCI Version 01.10 controller with 4 ports detected
ata2: <ATA channel 0> on atapci1
ata3: <ATA channel 1> on atapci1
ata4: <ATA channel 2> on atapci1
ata5: <ATA channel 3> on atapci1
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
acpi_button0: <Power Button> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: model IntelliMouse Explorer, device ID 4
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acp=
i0
sio0: type 16550A
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0
sio1: type 16550A
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: [FAST]
ppc0: <ECP parallel printer port> port 0x378-0x37f,0x778-0x77f irq 7 drq 3 =
on acpi0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/9 bytes threshold
ppbus0: <Parallel port bus> on ppc0
plip0: <PLIP network interface> on ppbus0
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcafff,0xcb000-0xcf7ff,0xcf800-0x=
d07ff,0xd0800-0xd17ff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=3D0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
acd0: CDROM <CD-224E-N/1.AA> at ata0-master UDMA33
ad4: 76319MB <Seagate ST380811AS 3.AAE> at ata2-master SATA300
ad6: 76319MB <Seagate ST380811AS 3.AAE> at ata3-master SATA300
ar0: 76316MB <Intel MatrixRAID RAID1> status: READY
ar0: disk0 READY (master) using ad4 at ata2-master
ar0: disk1 READY (mirror) using ad6 at ata3-master
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
SMP: AP CPU #2 Launched!
Trying to mount root from ufs:/dev/ar0s1a
ipfw2 (+ipv6) initialized, divert loadable, rule-based forwarding disabled,=
 default to deny, logging disabled
---------------
ws# pciconf -lv
hostb0@pci0:0:0:        class=3D0x060000 card=3D0x798015d9 chip=3D0x2778808=
6 rev=3D0xc0 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D 'Server Memory Controller Hub'
    class    =3D bridge
    subclass =3D HOST-PCI
pcib1@pci0:1:0: class=3D0x060400 card=3D0x00000088 chip=3D0x27798086 rev=3D=
0xc0 hdr=3D0x01
    vendor   =3D 'Intel Corporation'
    device   =3D 'PCI Express Root Port'
    class    =3D bridge
    subclass =3D PCI-PCI
pcib2@pci0:28:0:        class=3D0x060400 card=3D0x00000040 chip=3D0x27d0808=
6 rev=3D0x01 hdr=3D0x01
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) PCI Express Root Port'
    class    =3D bridge
    subclass =3D PCI-PCI
pcib4@pci0:28:4:        class=3D0x060400 card=3D0x00000040 chip=3D0x27e0808=
6 rev=3D0x01 hdr=3D0x01
    vendor   =3D 'Intel Corporation'
    device   =3D '82801GR/GH/GHM (ICH7 Family) PCI Express Root Port'
    class    =3D bridge
    subclass =3D PCI-PCI
pcib5@pci0:28:5:        class=3D0x060400 card=3D0x00000040 chip=3D0x27e2808=
6 rev=3D0x01 hdr=3D0x01
    vendor   =3D 'Intel Corporation'
    device   =3D '82801GR/GH/GHM (ICH7 Family) PCI Express Root Port'
    class    =3D bridge
    subclass =3D PCI-PCI
uhci0@pci0:29:0:        class=3D0x0c0300 card=3D0x798015d9 chip=3D0x27c8808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) USB Universal Host Controller'
    class    =3D serial bus
    subclass =3D USB
uhci1@pci0:29:1:        class=3D0x0c0300 card=3D0x798015d9 chip=3D0x27c9808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) USB Universal Host Controller'
    class    =3D serial bus
    subclass =3D USB
uhci2@pci0:29:2:        class=3D0x0c0300 card=3D0x798015d9 chip=3D0x27ca808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) USB Universal Host Controller'
    class    =3D serial bus
    subclass =3D USB
uhci3@pci0:29:3:        class=3D0x0c0300 card=3D0x798015d9 chip=3D0x27cb808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) USB Universal Host Controller'
    class    =3D serial bus
    subclass =3D USB
ehci0@pci0:29:7:        class=3D0x0c0320 card=3D0x798015d9 chip=3D0x27cc808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) USB 2.0 Enhanced Host Controller'
    class    =3D serial bus
    subclass =3D USB
pcib6@pci0:30:0:        class=3D0x060401 card=3D0x00000050 chip=3D0x244e808=
6 rev=3D0xe1 hdr=3D0x01
    vendor   =3D 'Intel Corporation'
    device   =3D '82801BA/CA/DB/DBL/EB/ER/FB (ICH2/3/4/4/5/5/6), 6300ESB Hu=
b Interface to PCI Bridge'
    class    =3D bridge
    subclass =3D PCI-PCI
isab0@pci0:31:0:        class=3D0x060100 card=3D0x798015d9 chip=3D0x27b8808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801GB/GR (ICH7 Family) LPC Interface Controller'
    class    =3D bridge
    subclass =3D PCI-ISA
atapci0@pci0:31:1:      class=3D0x01018a card=3D0x798015d9 chip=3D0x27df808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) Ultra ATA Storage Controller'
    class    =3D mass storage
    subclass =3D ATA
atapci1@pci0:31:2:      class=3D0x010400 card=3D0x798015d9 chip=3D0x27c3808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801GB I/O Controller Hub SATA cc=3DRAID'
    class    =3D mass storage
    subclass =3D RAID
none0@pci0:31:3:        class=3D0x0c0500 card=3D0x798015d9 chip=3D0x27da808=
6 rev=3D0x01 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D '82801G (ICH7 Family) SMBus Controller'
    class    =3D serial bus
    subclass =3D SMBus
pcib3@pci9:0:0: class=3D0x060400 card=3D0x00000044 chip=3D0x032c8086 rev=3D=
0x09 hdr=3D0x01
    vendor   =3D 'Intel Corporation'
    device   =3D '6702PXH PCI Express-to-PCI Express Bridge'
    class    =3D bridge
    subclass =3D PCI-PCI
none1@pci9:0:1: class=3D0x080020 card=3D0x798015d9 chip=3D0x03268086 rev=3D=
0x09 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D 'PCI Bridge Hub I/OxAPIC Interrupt Controller A'
    class    =3D base peripheral
    subclass =3D interrupt controller
em0@pci13:0:0:  class=3D0x020000 card=3D0x108c15d9 chip=3D0x108c8086 rev=3D=
0x03 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    device   =3D 'PRO/1000 PM'
    class    =3D network
    subclass =3D ethernet
em1@pci14:0:0:  class=3D0x020000 card=3D0x109a15d9 chip=3D0x109a8086 rev=3D=
0x00 hdr=3D0x00
    vendor   =3D 'Intel Corporation'
    class    =3D network
    subclass =3D ethernet
none2@pci15:0:0:        class=3D0x030000 card=3D0x798015d9 chip=3D0x515e100=
2 rev=3D0x02 hdr=3D0x00
    vendor   =3D 'ATI Technologies Inc'
    class    =3D display
    subclass =3D VGA
---------------
ws# ifconfig
em0: flags=3D8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> mtu 1500
        options=3Db<RXCSUM,TXCSUM,VLAN_MTU>
        inet xxx.xxx.xxx.xxx netmask 0xfffffff8 broadcast xxx.xxx.xxx.xxx
        ether xx:xx:xx:xx:xx:xx
        media: Ethernet autoselect (1000baseTX <full-duplex>)
        status: active
em1: flags=3D8802<BROADCAST,SIMPLEX,MULTICAST> mtu 1500
        options=3Db<RXCSUM,TXCSUM,VLAN_MTU>
        ether xx:xx:xx:xx:xx:xx
        media: Ethernet autoselect
        status: no carrier
plip0: flags=3D108810<POINTOPOINT,SIMPLEX,MULTICAST,NEEDSGIANT> mtu 1500
lo0: flags=3D8049<UP,LOOPBACK,RUNNING,MULTICAST> mtu 16384
        inet6 fe80::1%lo0 prefixlen 64 scopeid 0x4
        inet6 ::1 prefixlen 128
        inet 127.0.0.1 netmask 0xff000000
---------------
Comment 12 Gert Lynge 2007-06-27 10:35:30 UTC
Sorry - misread earlier postings.
Trying out /boot/loader.conf with debug.mpsafenet=3D"0"
Seems to solve it so far (but only been testing for 30 minutes)
Let me know what I can do to help solving this issue
Comment 13 Gert Lynge 2007-06-29 15:17:21 UTC
Solved my problem by updating wrong eeprom register with intel utility as d=
escribed here:
http://www.higherorder.com.au/2007/6/25/intel_82573_patch

This does not look like a FreeBSD bug. More like a hardware bug?
Comment 14 Sean Bruno freebsd_committer 2015-06-29 17:49:36 UTC
This should be repaired by recent changes to watchdog handling in em(4) that are targetted for the 10.2r release.

Please retest if possible with the 10.2r beta when available and start a new ticket if not fixed.
Comment 15 Valery Savchuk 2018-03-28 18:58:08 UTC
I still getting this with my 10.3r-amd64